> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags.md).

# Product Tags

What Product Tags are, which tags a product needs before it can be recommended, and how automated and manual tagging work.

Product Tags are a part of [Product Recommendation System 2.0](/haut.ai/haut.ai-features/product-recommendation-system-2.0.md) feature that is used to match your [Start Here](/haut.ai/readme.md#product-item) list to end-user skin concern (check [User Tags](/haut.ai/haut.ai-features/product-recommendation-system-2.0/user-tags.md)) categories for a specific set of products.

Each product contains several types of tags like the product type, product category, skin or hair type, etc.

<table><thead><tr><th width="203">Tag type</th><th width="313">Is required for recommendation?</th><th>Number of tags</th></tr></thead><tbody><tr><td>Category</td><td>Yes</td><td>One</td></tr><tr><td>Skin Type</td><td>Yes</td><td>One or many</td></tr><tr><td>Sensitive</td><td>No</td><td>One (Yes/No)</td></tr><tr><td>Concerns</td><td>No</td><td>Zero or many</td></tr><tr><td>When to apply</td><td>Yes</td><td>One or many</td></tr></tbody></table>

The category tag determines the order and location in which the product is displayed in the user's recommendations. The current list of categories includes:

This tag identifies the skin types for which the product is suitable. Skin Type can take the following values:

This tag identifies a list of skin concerns that the product addresses. There are two types of concerns:

* AM (Morning)
* PM (Evening)

## Tags by product type

* [Face Skin Product Tags](/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags/face-skin-product-tags.md)
* [Hair Product Tags](/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags/hair-product-tags.md)

## Types of tagging

The recommendation system offers two options for tagging products:

1. Automated product tagging using AI based on product name and description.
2. Manual product tagging

Tagging of any product can only be in one of two modes: automatic or manual. If the list of product tags was defined automatically and you change any of the tags, the product will switch to the manual tagging mode.

### Automated product tagging

Automated product tagging utilizes the capabilities of modern LLMs to extract product-defining tags from the product name and description.

Product tagging is triggered in the following cases:

* Creating a new product.
* Importing products from Shopify or from custom platforms.
* Updating a product title or description.

Read more about the manual product tagging here: [Automated Product Tagging](/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags/automated-product-tagging.md).

### Manual product tagging

Manual product tagging can be used when the name or description is insufficient to define product tags. Manual product tagging can be used in the following cases:

* The name or description is not sufficient to define product tags.
* You need to add more product tags to the product tag list.

Read more about the manual product tagging here: [Manual Product Tagging](/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags/manual-product-tagging.md).

Products can also be tagged with the “Promo” tag. This tag is used to add 1 product you want to promote to user recommendations.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/product-recommendation-system-2.0/product-tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
